aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2001-03-14 22:46:40 +0000
committerBill Nottingham <notting@redhat.com>2001-03-14 22:46:40 +0000
commitf83bb76907866b09223c24d73098f787ed667c89 (patch)
tree9c76afa74ce2a207e41bc8ac9153e695f355008f
parent871666c0dec1b95a4dad47566cb2e7685758a0c9 (diff)
downloadinitscripts-f83bb76907866b09223c24d73098f787ed667c89.tar
initscripts-f83bb76907866b09223c24d73098f787ed667c89.tar.gz
initscripts-f83bb76907866b09223c24d73098f787ed667c89.tar.bz2
initscripts-f83bb76907866b09223c24d73098f787ed667c89.tar.xz
initscripts-f83bb76907866b09223c24d73098f787ed667c89.zip
--background is fundamentally broken. Remove it for now.r5-77
-rwxr-xr-xrc.d/init.d/functions8
1 files changed, 2 insertions, 6 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index a07ff7e5..638f32d5 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -100,10 +100,6 @@ daemon() {
user=${1#--user=}
shift
;;
- --bg|--background)
- bg="&"
- shift
- ;;
[-+][0-9]*)
nice="nice -n $1"
shift
@@ -130,9 +126,9 @@ daemon() {
# And start it up.
if [ -z "$user" ]; then
- $nice initlog $INITLOG_ARGS -c "$*" "$bg"
+ $nice initlog $INITLOG_ARGS -c "$*"
else
- $nice initlog $INITLOG_ARGS -c "su - $user -c \"$*\"" "$bg" && success $"$base startup" || failure $"$base startup"
+ $nice initlog $INITLOG_ARGS -c "su - $user -c \"$*\"" && success $"$base startup" || failure $"$base startup"
fi
[ $? = 0 ] && success $"$base startup" || failure $"$base startup"
}